import { request } from 'umi';

/**   下拉选择 */
function GetSelectedConfig(data) {
  return request(`/kitchen/api/select/selectedconfig/${data}`, {
    method: 'get'
  });
}

function GetCouponRecordById(data) {
  return request(`/kitchen/api/coupon/couponrecordbyid`, {
    method: 'post',
    data: data
  });
}


//获取商品类型
 function GetGoodsType(data) {
  return request(`/kitchen/api/select/goodstype`, {
    method: 'get'
  });
}

//获取商品类型
 function GetGoodsById(data) {
  return request(`/kitchen/api/select/goods/${data}`, {
    method: 'get'
  });
}


//获取店铺
 function GetStores(data) {
  return request('/kitchen/api/sysOrg/listbytype', {
    method: 'get',
    data: data,
  });
}


export default { GetSelectedConfig, GetCouponRecordById,GetGoodsType,GetGoodsById,GetStores};
